Status: Closed Priority: Should have
Author: Fedir RYKHTIK Category: File Abstraction Layer (FAL)
Created: 2014-10-27 Assigned To:
Updated: 2015-01-29 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: FE : “Desired storage is not in the list of available storages”
Description

After recreation of "File storage" objects, the Front End doesn't work anymore, "online" link points me [here] : 
http://wiki.typo3.org/Exception/CMS/1314085990

In BE "fileadmin" folder is browserable, we could read/download files.

Anyone experienced such problem ?

Thx.

Related issues:
duplicates Core - Bug # 50871: Remove option to delete a File Storage New 2013-08-07

History
#1 - 2014-11-03 14:55 - Hubertus Golf

We have same problem after update to V 6.2.6

problem:
if you have files in table sys_file with a storage, that does'nt exist, TYPO3 throws an error.

solution
change field  uid in sys_file_storage or field storage in sys_file.

#2 - 2014-11-03 15:32 - Alexander Opitz

@reporter

As I understand you, you removed the file storage and created a new one on the same directory?

#3 - 2014-11-03 16:27 - Fedir RYKHTIK

@Hubertus : Great ! That's it. As in my case it was empty Introduction Package installation, I just made TRUNCATE of sys_file. And error
dissapeared, except some missing images in FE.

@Alexander Exactly.
#4 - 2014-11-07 17:50 - Christian Ludwig

We had the same problem.
A solution would be to delete all relations to that storage in the database (including the meta and processed tables) plus the _ processed _ folders.
IMHO the original files themselves should not be deleted. Ideal would be a warning if relations to the files / directories on this storage exist in one or
more content elements.

#5 - 2014-11-07 21:31 - Alexander Opitz

@Christian

Then you will missing the relations from content elements to the files. Sounds not cool.

@Reporter

To prevent this scenario, I would change this issue in something like: "Do not delete Storage if it contains files." Would this be ok for you? Couse fixing
this issue after deletion isn't possible.

#6 - 2015-01-18 22:19 - Mathias Schreiber
- Sprint Focus set to On Location Sprint

#7 - 2015-01-29 21:23 - Mathias Schreiber
- Status changed from New to Closed
